AnsweredAssumed Answered

missing requirement  package after deploy Adapter

Question asked by luis.rodriguezgonzalesri-es-esridist Employee on Dec 11, 2013
Latest reply on Jan 3, 2014 by geonetadmin
I have developed an Adater that uses two jars. I have copied the adapter jar and the others jar files in the deploy directory (C:\Program Files\ArcGIS\Server\GeoEventProcessor\deploy).

After the deploy I see the following messages in the log file:
2013-12-11 19:12:34,398 | WARN  | Processor/deploy | fileinstall                      | 7 - org.apache.felix.fileinstall - 3.2.4 | Error while starting bundle: file:/C:/Program%20Files/ArcGIS/Server/GeoEventProcessor/deploy/ais-inbound-adapter-10.2.0.jar
org.osgi.framework.BundleException: Unresolved constraint in bundle com.esri.ges.framework.adapter.ais-inbound-adapter [347]: Unable to resolve 347.0: missing requirement [347.0] package; (package=com.esri.aisparser)
 at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3564)[org.apache.felix.framework-3.2.2.jar:]
 at org.apache.felix.framework.Felix.startBundle(Felix.java:1797)[org.apache.felix.framework-3.2.2.jar:]
 at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:927)[org.apache.felix.framework-3.2.2.jar:]
 at org.apache.felix.fileinstall.internal.DirectoryWatcher.startBundle(DirectoryWatcher.java:1244)[7:org.apache.felix.fileinstall:3.2.4]
 at org.apache.felix.fileinstall.internal.DirectoryWatcher.startBundles(DirectoryWatcher.java:1216)[7:org.apache.felix.fileinstall:3.2.4]
 at org.apache.felix.fileinstall.internal.DirectoryWatcher.startAllBundles(DirectoryWatcher.java:1205)[7:org.apache.felix.fileinstall:3.2.4]
 at org.apache.felix.fileinstall.internal.DirectoryWatcher.process(DirectoryWatcher.java:500)[7:org.apache.felix.fileinstall:3.2.4]
 at org.apache.felix.fileinstall.internal.DirectoryWatcher.run(DirectoryWatcher.java:291)[7:org.apache.felix.fileinstall:3.2.4]

What should I do to deploy successfully the adapter?

Attachments

Outcomes